跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!
Support
This is the documentation of 22.6.1, which is no longer the latest release. See the latest release.

List release's attachments

GET
/repos/{owner}/{repo}/releases/{id}/assets
curl --request GET \
--url https://gitea.example.com/api/v1/repos/example/example/releases/1/assets \
--header 'Authorization: Basic <credentials>'
owner
required
string

Owner of the repo

repo
required
string

Name of the repo

id
required
integer format: int64

Id of the release

AttachmentList

Media typeapplication/json
Array<object>

Attachment a generic attachment

object
browser_download_url
string
created_at
string format: date-time
download_count
integer format: int64
id
integer format: int64
name
string
size
integer format: int64
uuid
string
Examplegenerated
[
{
"browser_download_url": "example",
"created_at": "2026-04-15T12:00:00Z",
"download_count": 1,
"id": 1,
"name": "example",
"size": 1,
"uuid": "example"
}
]

APINotFound is a not found empty response

Media typeapplication/json